import request from '@/utils/request'

// 查询迁出信息列表
export function listOut(query) {
  return request({
    url: '/basicData/xcrMoveOut/findByPage',
    method: 'get',
    params: query
  })
}

// 查询迁出信息详细
export function getOut(xhCodeId) {
  return request({
    url: '/basicData/xcrMoveOut/' + xhCodeId,
    method: 'get'
  })
}

// 新增迁出信息
export function addOut(data) {
  return request({
    url: '/basicData/xcrMoveOut',
    method: 'post',
    data: data
  })
}

// 修改迁出信息
export function updateOut(data) {
  return request({
    url: '/basicData/xcrMoveOut',
    method: 'put',
    data: data
  })
}

// 删除迁出信息
export function delOut(xhCodeId) {
  return request({
    url: '/basicData/xcrMoveOut/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delOutBatch(ids) {
  return request.post('/basicData/xcrMoveOut/delete',ids)
}
